Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
    • Интеграции с другими сервисами Yandex Cloud
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера по запросу
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
            • Overview
              • Overview
              • GetVrf
              • ListVrfs
              • CreateVrf
              • UpdateVrf
              • DeleteVrf
              • ListVrfOperations
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Vrf
  • StaticRoute
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. API v2
  5. REST (англ.)
  6. Vrf
  7. ListVrfs

BareMetal API, REST: Vrf.ListVrfs

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Vrf
  • StaticRoute

Retrieves the list of VRF resources in the specified folder.

https://google.aip.dev/130 --)

HTTP requestHTTP request

GET https://baremetal.api.yandexcloud.kz/baremetal/v2/clouds/{cloudId}/folders/{folderId}/vrfs

Path parametersPath parameters

Field

Description

cloudId

string

Required field. ID of the parent cloud.

To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request.

folderId

string

Required field. ID of the parent folder.

To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a ListVrfsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.
Default value is 20.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListVrfsResponse.nextPageToken returned by a previous list request.

orderBy

string

Sorting order for the listing. Follows the AIP-132 order_by format:
"field [asc|desc]", e.g. "createTime desc".

Supported fields: vrfId, createTime, updateTime.
Default order: vrfId asc.

filter

string

Filter expression following AIP-160.

Supported fields and operators:

  • vrfId, name - =, !=, : (contains)

Example: name : "prod".

ResponseResponse

HTTP Code: 200 - OK

{
  "vrfs": [
    {
      "vrfId": "string",
      "cloudId": "string",
      "folderId": "string",
      "name": "string",
      "description": "string",
      "state": "string",
      "staticRoutes": [
        {
          "destinationCidr": "string",
          "nextHopIpAddress": "string",
          "redistributionType": "string"
        }
      ],
      "createTime": "string",
      "updateTime": "string",
      "annotations": "object"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

vrfs[]

Vrf

List of VRF resources.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
[ListVrfRequest.page_size], use next_page_token as the value
for the [ListVrfRequest.page_token] parameter in the next list request.

Each subsequent page will have its own next_page_token to continue paging through the results.

VrfVrf

A VRF (Virtual Routing and Forwarding) resource.

Field

Description

vrfId

string

ID of the VRF.

cloudId

string

ID of the cloud that the private subnet belongs to.

folderId

string

ID of the folder that the private subnet belongs to.

name

string

Name of the VRF. Unique within the folder.

The string length in characters must be 2-63. Value must match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?.

description

string

Optional description of the VRF.

The maximum string length in characters is 1024.

state

enum (State)

State of the VRF.

  • ACTIVE: VRF is ready to use.
  • UPDATING: VRF is being updated.

staticRoutes[]

StaticRoute

Static routes.

createTime

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updateTime

string (date-time)

Last update timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

annotations

object (map<string, string>)

Resource annotations as key:value pairs.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

StaticRouteStaticRoute

A static route entry in a VRF.

Field

Description

destinationCidr

string

Destination network CIDR block.

nextHopIpAddress

string

Next hop host IP address.

redistributionType

enum (RedistributionType)

Redistribution type.

  • DISABLED: Static route announcements outside BareMetal VRF disabled.
  • ENABLED: Static route announcements outside BareMetal VRF enabled.

Была ли статья полезна?

Предыдущая
GetVrf
Следующая
CreateVrf
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»